#version 330 core

uniform sampler2D texture1;
uniform sampler2D texture2;
uniform bool mouseIn;

in vec2 texCoord;
in vec4 position;

void main(void) {
	if(!mouseIn) {
		gl_FragColor = texture(texture1, texCoord);
		return;
	}
	/*
	if(abs(position.x) < 1 && abs(position.y) < 1) {
		gl_FragColor = texture(texture2, texCoord);
	} else {
		gl_FragColor = texture(texture1, texCoord);
	}
	*/
	if(texCoord.x > 1.0 && texCoord.x < 3.0 && texCoord.y > 1.0 && texCoord.y < 3.0) {
		gl_FragColor = texture(texture2, texCoord);
	}
	else {
		gl_FragColor = texture(texture1, texCoord);
	}
}
