#version 330 core
layout (location = 0) in vec3 vertexPosition;
layout (location = 1) in vec4 vertexColor;

uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;

out vec4 vColor;

void main(void) {
	gl_Position = uPMatrix * uMVMatrix * vec4(vertexPosition, 1.0);
	//gl_Position = vec4(vertexPosition, 1.0);
        vColor = vertexColor;
}
